#ifndef REPODIALOG_H
#define REPODIALOG_H

#include <QDialog>
#include <QApt/SourcesList>

namespace Repo {

class DialogPrivate;

class Q_DECL_EXPORT Dialog : public QDialog
{
    Q_OBJECT;
public:
    explicit Dialog(QWidget* parent = nullptr);
    ~Dialog() override;

public:
    static bool entryIsValid(const QApt::SourceEntry& entry);
    const QApt::SourceEntryList sourceEntries();
    void setSourceEntrys(const QApt::SourceEntryList& entrys);

public slots:
    void accept() override;

private slots:
    void addSourcePushButtonClicked();
    void removeSourcePushButtonClicked();
    void sourceTableWidgetItemSelectionChanged();

private:
    DialogPrivate *m_d;
};
}

#endif // REPODIALOG
